xine-lib: vdr_metronom_t Struct Reference

xine-lib 1.2.12

Data Fields
vdr_metronom_t Struct Reference

## Data Fields
metronom_t | metronom
metronom_t * | stream_metronom
vdr_input_plugin_t * | input
pthread_mutex_t | mutex
struct {
int disc_num
int seek
int on
} | audio
struct {
int disc_num
int seek
int on
} | video
int | trick_new_mode
int | trick_mode

## Field Documentation

## ◆

struct { ... } vdr_metronom_t::audio

Referenced by vdr_metronom_handle_audio_discontinuity(), and vdr_metronom_handle_video_discontinuity().

## ◆ disc_num

int vdr_metronom_t::disc_num

Referenced by vdr_metronom_handle_audio_discontinuity(), and vdr_metronom_handle_video_discontinuity().

## ◆ input

vdr_input_plugin_t* vdr_metronom_t::input

Referenced by vdr_metronom_got_video_frame(), vdr_metronom_handle_audio_discontinuity(), and vdr_metronom_handle_video_discontinuity().

## ◆ metronom

metronom_t vdr_metronom_t::metronom

## ◆ mutex

pthread_mutex_t vdr_metronom_t::mutex

Referenced by vdr_metronom_got_video_frame(), vdr_metronom_handle_audio_discontinuity(), and vdr_metronom_handle_video_discontinuity().

## ◆ on

int vdr_metronom_t::on

Referenced by vdr_metronom_handle_audio_discontinuity(), and vdr_metronom_handle_video_discontinuity().

## ◆ seek

int vdr_metronom_t::seek

Referenced by vdr_metronom_handle_audio_discontinuity(), and vdr_metronom_handle_video_discontinuity().

## ◆ stream_metronom

metronom_t* vdr_metronom_t::stream_metronom

Referenced by vdr_metronom_got_video_frame(), vdr_metronom_handle_audio_discontinuity(), and vdr_metronom_handle_video_discontinuity().

## ◆ trick_mode

int vdr_metronom_t::trick_mode

Referenced by vdr_metronom_got_video_frame(), vdr_metronom_handle_audio_discontinuity(), and vdr_metronom_handle_video_discontinuity().

## ◆ trick_new_mode

int vdr_metronom_t::trick_new_mode

Referenced by vdr_metronom_handle_audio_discontinuity(), and vdr_metronom_handle_video_discontinuity().

## ◆

struct { ... } vdr_metronom_t::video

Referenced by vdr_metronom_handle_audio_discontinuity(), and vdr_metronom_handle_video_discontinuity().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/vdr/input_vdr.c